%% Code to reproduce Figure 1

close all
c=4;
ver=[0, 0;
    1, 1/c;
    1, 1;
    1/c, 1;
    0, 0];
lwd=1.5;
hold('on')
plot(ver(:,1),ver(:,2),'--','LineWidth',lwd)
% fill(ver(:,1),ver(:,2),'r');
A = polyarea(ver(:,1),ver(:,2));

rect=[0, 0;
    sqrt(1-1/c), 0;
    sqrt(1-1/c), sqrt(1-1/c);
    0,  sqrt(1-1/c);
    0, 0];
k=1-sqrt(1-1/c);
k=0;
plot(k+rect(:,1),k+rect(:,2),'LineWidth',lwd)
set(gca,'FontSize',12)
text((1-1/c)^0.5,0.05, '$\sqrt{1-1/4}$','Interpreter','latex')
text(0.01,(1-1/c)^0.5+0.03, '$\sqrt{1-1/4}$','Interpreter','latex')
axis square
prin=0;
if prin==1
    % print to postscript
    print -depsc figs\areaplot.eps;;
    
end
